[**Headlamp Sealed Secrets API v0.2.0**](../../README.md)

***

[Headlamp Sealed Secrets API](../../README.md) / [types](../README.md) / SealedSecretStatus

# Interface: SealedSecretStatus

Defined in: [src/types.ts:211](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/types.ts#L211)

SealedSecret CRD status

## Properties

### conditions?

> `optional` **conditions**: [`SealedSecretCondition`](SealedSecretCondition.md)[]

Defined in: [src/types.ts:212](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/types.ts#L212)

***

### observedGeneration?

> `optional` **observedGeneration**: `number`

Defined in: [src/types.ts:213](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/types.ts#L213)
